.Dd 2016-06-12
.Dt NCI-CREATE-ASSIGNMENT 1
.Os
.Sh NAME
.Nm nci-create-assignment
.Nd Create a new assignment in a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Fl n
.Ar name
.Fl m
.Ar max-points
.Oo
.Fl d
.Ar due-date
.Oc
.Oo
.Fl g
.Ar group-id
.Oc
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and creates an assignment with the given parameters. If successful,
the id of the created assignment will be printed.
.Pp
Canvas supports many, many options for assignments. This program
always uses the following options:
.Pp
.Bl -bullet -compact
.It
.Em submission_type
is
.Em Dq on_paper ,
.It
.Em grading_type
is
.Em Dq points ,
.It
the assignment will not be a group assignment,
.It
the assignment is not
.Em locked ,
.Em muted ,
or a
.Em draft ,
.It
.Em notify_of_update
is
.Em false
.Pq no notifications about creation of this assignment will be sent .
.El
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl n
Set the name of the new assignment.
.It Fl m
Set the maximum points
.Pq floating point allowed
for this assignment, although when entering grades, numbers above this
value can be entered, representing extra credit.
.It Fl d
Set the date
.Pq which must be in ISO 8601 format
at which this assignment will be shown as due.
.It Fl g
Set the assignment group to which this assignment is associated. If
not specified, Canvas will pick a group.
.El
.Sh EXAMPLES
.Dl % nci-create-assignment -c 1187637 -g 1560872 -n "HW 01" -m 10 -d 2020-09-04T12:00:00
.Dl 400395381
.Sh SEE ALSO
.Xr nci 1
.Xr nci-list-courses 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
